Name: kde-utils-filelight 
Summary: Graphical disk usage statistics 
Version: 14.12.3
Release: %mkrel 3
Group:	 Graphical desktop/KDE4
License: GPLv2 or GPLv3
URL:     http://utils.kde.org/projects/filelight
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/filelight-%{version}.tar.xz
BuildRequires: kdelibs-devel
Obsoletes: kdeutils4-filelight =< 4.6.5
Provides:  kde-utils-filelight = %{version}
Requires: kdelibs

%description
Filelight allows you to quickly understand exactly where your diskspace
is being used by graphically representing your file system.

%files
%defattr(-,root,root)
%{_kde_bindir}/filelight
%{_kde_appsdir}/filelight*/
%{_kde_configdir}/filelightrc
%{_kde_datadir}/applications/kde4/filelight.desktop
%{_kde_datadir}/kde4/services/filelightpart.desktop
%{_kde_iconsdir}/hicolor/*/*/*filelight.*
%{_kde_libdir}/kde4/filelightpart.so
%{_kde_docdir}/HTML/*/filelight/*

%prep
%setup -q -n filelight-%version

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --add-only-show-in="KDE" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/filelight.desktop

%clean
rm -fr %buildroot

%changelog
* Wed Jul 22 2015 pp <pp> 14.12.3-3pclos2015
- rebuild on 15.04.3

* Sun Apr 19 2015 pinoc <vogtpet at gmail.com> 14.12.3-2pclos2015
- rebuild on 15.04.0

* Sun Mar 08 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

